summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 52831a1..c22169d 100755
--- a/build.sh
+++ b/build.sh
@@ -26,6 +26,11 @@ RELEASE_FLAGS="-O3 -s -DNDEBUG $WARNINGS -std=c11"
if [ "$1" = "release" ]; then
FLAGS="$RELEASE_FLAGS $ADDITIONAL_FLAGS"
+
+ COMMAND="$CC compatibility.c -Wall -Wextra -std=c99 -Wpedantic -o compatibility"
+ echo $COMMAND
+ $COMMAND || exit 1
+ FLAGS="$FLAGS $(./compatibility)"
else
FLAGS="$DEBUG_FLAGS $ADDITIONAL_FLAGS"
fi